Name:          jackson-module-mrbean
Version:       2.2.2
Release:       2%{?dist}
Summary:       An extension that implements support for POJO type materialization
License:       ASL 2.0
URL:           http://wiki.fasterxml.com/JacksonFeatureMaterializedBeans
Source0:       https://github.com/FasterXML/jackson-module-mrbean/archive/%{name}-%{version}.tar.gz
# jackson-module-mrbean package don't include the license file
# reported @ https://github.com/FasterXML/jackson-module-mrbean/issues/8
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel

BuildRequires: mvn(com.fasterxml:oss-parent)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(org.ow2.asm:asm)

# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-bundle
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: replacer
# bundle-plugin Requires
#BuildRequires: mvn(org.sonatype.aether:aether)

BuildArch:     noarch

%description
Functionality for implementing interfaces and abstract types
dynamically ("bean materialization"), integrated with Jackson
(although usable externally as well).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt
# disabled asm4 embedded copy
%pom_remove_plugin :maven-shade-plugin

%build

%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt

%changelog
* Fri Aug 09 2013 gil cattaneo <puntogil@libero.it> 2.2.2-2
- comment aether references

* Mon Jul 22 2013 gil cattaneo <puntogil@libero.it> 2.2.2-1
- update to 2.2.2

* Wed Oct 24 2012 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0
- renamed jackson2-module-mrbean

* Thu Sep 13 2012 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm